package com.yutou.tools;

import com.yutou.tools.home.nas.MusicController;
import com.yutou.tools.utils.ConfigTools;
import com.yutou.tools.utils.QQBotManager;
import com.yutou.tools.utils.RedisTools;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class ToolsApplication {
    public static final String version="1.0.14.1";

    public static void main(String[] args) {
        System.out.println("当前版本号:"+version);
        SpringApplication.run(ToolsApplication.class, args);
        MusicController.defaultMusicPath = (String) ConfigTools.load(ConfigTools.CONFIG, "musicDir");
        RedisTools.initRedisPoolSub();
        QQBotManager.getInstance();
    }

}
